#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_with	tests	# unit tests (missing in sdist)

Summary:	Module for text manipulation
Name:		python3-jaraco.text
Version:	4.0.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jaraco.text/
Source0:	https://files.pythonhosted.org/packages/source/j/jaraco.text/jaraco_text-%{version}.tar.gz
# Source0-md5:	3c519c7a49d6448e6dc2073d466afd39
URL:		https://pypi.org/project/jaraco.text/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:56
BuildRequires:	python3-setuptools_scm >= 3.4.1
BuildRequires:	python3-toml
%if %{with tests}
BuildRequires:	python3-pytest >= 6
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-jaraco.packaging >= 9
BuildRequires:	python3-rst.linker >= 1.9
#BuildRequires:	sphinx-lint
BuildRequires:	sphinx-pdg-3 >= 3.5
%endif
Requires:	python3-jaraco
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides handy routines for dealing with text, such as
wrapping, substitution, trimming, stripping, prefix and suffix
removal, line continuation, indentation, comment processing,
identifier processing, values parsing, case insensitive comparison,
and more. See the docs (linked in the badge above) for the detailed
documentation and examples.

%package apidocs
Summary:	API documentation for Python jaraco.text module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona jaraco.text
Group:		Documentation

%description apidocs
API documentation for Python jaraco.text module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona jaraco.text.

%prep
%setup -q -n jaraco_text-%{version}

# stub for setuptools
cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=... \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html docs docs/build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst NEWS.rst
%{py3_sitescriptdir}/jaraco/text
%{py3_sitescriptdir}/jaraco.text-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,*.html,*.js}
%endif
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jaraco.text.git;a=log;h=master

* Sat Mar 22 2025 Jan Rękorajski <baggins@pld-linux.org> 2f7a5e4
- new

